//
// Mountain.h
// A mountain range on the moon.
// Inherits from Rille, a straight elongated feature.
//
//    Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

#ifndef MOUNTAIN_H
#define MOUNTAIN_H

#include "Rille.h"

class Mountain : public Rille
{
public:
    Mountain();
    Mountain(char* name, char* description, int size, int angle,
             int longitude, int latitude);
    virtual ~Mountain();

    virtual void PaintFeature(MoonCanvas* canvas, int cX, int cY, int radius,
                              int mirrored, int librationE, int librationN);

    void Init(char* name, char* description, int size, int angle,
              int longitude, int latitude);

    // Read in the list of craters:
    static void InitMountains();

protected:
};

#endif // MOUNTAIN_H
