//
// GImage: image handling using gdk-pixbuf
//
//    Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

#include <gdk/gdk.h>
#include <gtk/gtk.h>

#include <gdk-pixbuf/gdk-pixbuf.h>

class GImage
{
public:
    GImage();
    GImage(const char* filename);
    virtual ~GImage();

    int LoadFromFile(const char* filename);
    void Draw(GtkWidget* drawingArea);

    int Width()    { return mX; }
    int Height()   { return mY; }

protected:
    GdkPixbuf* mImage;
    int mX, mY;
};

